- name: "Override: Include Windows compatibility setup"
  ansible.builtin.set_fact:
    m_windows_compatibility: true

#- name: "Install sc-controller: 🔑 repo key"
#  become: yes
#  ansible.builtin.apt_key:
#    url: "https://download.opensuse.org/repositories/home:kozec/xUbuntu_{{ lsb_release }}/Release.key"
#- name: "Install sc-controller: 🚚 repo"
#  ansible.builtin.apt_repository:
#    repo: "deb http://download.opensuse.org/repositories/home:/kozec/xUbuntu_{{ lsb_release }}/ /"
#- name: "Install sc-controller: 📦📦📦 packages"
#  become: yes
#  ansible.builtin.apt:
#    pkg:
#      - python-evdev
#      - python-pylibacl
#      - sc-controller

- name: "Install gaming 📦📦📦 flatpak packages"
  community.general.flatpak:
    name: 
      - net.lutris.Lutris
      - net.davidotek.pupgui2

- name: "Install gaming 📦📦📦 apt packages"
  become: yes
  ansible.builtin.apt:
    pkg:
      - steam
      - gamemode

- name: "Install itch.io: installer script"
  ansible.builtin.shell:
    cmd: curl -L -w %{url_effective} https://broth.itch.ovh/itch-setup/linux-amd64/LATEST/unpacked/default -o ./itch-setup &&
      chmod +x itch-setup &&
      ./itch-setup &&
      rm -rf ./itch-setup &&
      sleep 5 &&
      killall itch
    creates: "{{ ansible_user_dir }}/.itch"

- name: "Install Minecraft: 📦 package"
  community.general.flatpak:
    name: com.mojang.Minecraft

- name: "Enable Nextcloud access for soft linking Minecraft files"
  ansible.builtin.shell:
    cmd: "flatpak override --user --filesystem='{{ nextcloud_path }}/games/minecraft' com.mojang.Minecraft && touch {{ idempotency_dir }}/Minecraft-flatpak-NC-access" # TODO: Remove hardcoded path
    creates: "{{ idempotency_dir }}/Minecraft-flatpak-NC-access"

- name: "Test installed Minutor version"
  ansible.builtin.shell: "dpkg -s minutor | grep 'Version:'"
  ignore_errors: yes
  register: minutor_version
  changed_when: false

- name: "Install Minutor: download deb 📦 package"
  when: not (minutor_version.stdout | regex_search(versioning_minutor_regex))
  ansible.builtin.get_url:
    url: "{{ versioning_minutor_link }}"
    dest: "{{ downloads_programs }}/game-related/"
  register: versioning_minutor_path_deb

- name: "Install Minutor: install deb 📦 package"
  become: yes
  when: not (minutor_version.stdout | regex_search(versioning_minutor_regex))
  ansible.builtin.apt:
    deb: "{{ versioning_minutor_path_deb.dest }}"

# Needs credential management + would need SteamGuard 2FA code
#- name: "Log in to Steam"
#  ansible.builtin.shell:
#    cmd: "steam -login {{ steam_username }} {{ steam_password }}"
#
#- name: "Install some Steam game"
#  ansible.builtin.shell:
#    cmd: "steam -applaunch {{ item }} && sleep 5 && xdotool key Return"
#    creates: "{{ ansible_user_dir }}/.steam/steam/steamapps/appmanifest_{{ item }}.acf"
#  with_items:
#    - 529950
#
# Wants to UN-install Lutris and curl :D
#- name: "Install OpenLieroX: 📦 package"
  #become: yes
  #ansible.builtin.apt:
    #deb: "{{ versioning_openlierox_link }}"